Device Endpoints

GET /devices

Retrieve a list of devices.

  • Response:

json [ { "tenantId": "abcdbe80-8ac6-11ef-a33b-...", "eurid": "05066ca8", "destinationEurid": "ffffffff", "friendlyid": "noCordPlug", "eep": "D2-01-0B", "deviceType": "bidirectional", "location": "Level 2 / Room 221", "slf": "null", "AESKey": "null", "activeFlag": "true", "unlockCode": "null", "customTag": "null", "productId": "004600010005", "deviceId": "ccd247c0-8ac8-11ef-a33b-2900864904c9", "status": "paired", "cbid": "4290995072" }, { "tenantId": "abcdbe80-8ac6-11ef-a33b-...", "eurid": "042986E9", "destinationEurid": "ffffffff", "friendlyid": "Wireless CO2", "eep": "D2-14-59", "deviceType": "sensor", "location": "Level 2 / Room 221", "slf": "null", "AESKey": "null", "activeFlag": "true", "unlockCode": "null", "customTag": "null", "productId": "null", "deviceId": "1f5d06d0-8ac7-11ef-a33b-2900864904c9" }, ... ]

POST /devices

Add new devices to the system.

  • Request Body:

json { "friendlyid": "Room Panel 02", "eep": "A5-04-05", "deviceType": "sensor", "eurid": "a1b2c3d4", "destinationEurid": "ffffffff", "location": "Level 2 / Room 221", "slf": "f3", "AESKey": "3a0c1b30b0a822a17a28fd01d77abdae" }

  • Response:

    • 201 Created on successful addition.

DELETE /devices

Remove all devices from the system.

  • Response:
    • 200 OK on successful deletion.

GET /devices/{deviceId}

Retrieve a specific device by its ID.

  • Parameters:

    • DeviceId: Identifier of the device.
  • Response:

json { "tenantId": "abcdbe80-8ac6-11ef-a33b-2900...", "eurid": "05066ca8", "destinationEurid": "ffffffff", "friendlyid": "noCordPlug", "eep": "D2-01-0B", "deviceType": "bidirectional", "location": "Level 2 / Room 221", "slf": "null", "AESKey": "null", "activeFlag": "true", "unlockCode": "null", "customTag": "null", "productId": "004600010005", "deviceId": "ccd247c0-8ac8-11ef-a33b-2900864904c9", "status": "paired", "cbid": "4290995072" }

PUT /devices/{deviceId}

Update details of a device by its ID.

  • Parameters:

    • DeviceId: Identifier of the device.
  • Request Body:

json { "friendlyid": "Room Panel 02", "eep": "A5-04-05", "deviceType": "sensor", "eurid": "a1b2c3d4", "destinationEurid": "ffffffff", "location": "Level 2 / Room 221", "slf": "f3", "AESKey": "3a0c1b30b0a822a17a28fd01d77abdae" }

  • Response:

    • 200 OK on successful update.

DELETE /devices/{deviceId}

Delete a device by its ID.

  • Parameters:

    • DeviceId: Identifier of the device.
  • Response:

    • 200 OK on successful deletion.

GET /devices/{deviceId}/telegram

Retrieve the telegram (communication packets) information of a device.

  • Parameters:

    • DeviceId: Identifier of the device.
  • Response:

json [ { "uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "data": "string", "sender": "string", "status": "string", "sub_telegram_count": "string", "destination": "string", "rssi": "string", "security_level": "string", "timestamp": "string", "sub_timestamp": "string", "sub_telemetries": [] } ]

GET /devices/{deviceId}/telemetry

Retrieve telemetry information (e.g., sensor data) for a device.

  • Parameters:

    • DeviceId: Identifier of the device.
  • Response:

json [ { "uuid": "582e79a9-ec42-4472-9f4c-2a4b400c326a", "timestamp": 1649200131, "raw_data": "d2aa0d002563f2fbd7a0", "data": [ { "key": "temperature", "value": 28, "unit": "°C" }, { "key": "humidity", "value": 28, "unit": "%" }, { "key": "illumination", "value": 28, "unit": "lx" }, { "key": "accelerationStatus", "value": "heartbeat", "unit": "Heartbeat" }, { "key": "accelerationX", "value": 0.02, "unit": "g" }, { "key": "accelerationY", "value": 0.02, "unit": "g" }, { "key": "accelerationZ", "value": 0.02, "unit": "g" }, { "key": "contact", "value": "open", "unit": "Window opened" } ] } ]

GET /devices/{deviceId}/signal

Retrieve signal strength or other signal-related metrics for a device.

  • Parameters:

    • DeviceId: Identifier of the device.
  • Response:

json [ { "raw": { "uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "data": "string", "sender": "string", "status": "string", "sub_telegram_count": "string", "destination": "string", "rssi": "string", "security_level": "string", "timestamp": "string", "sub_timestamp": "string", "sub_telemetries": [] }, "items": [ { "key": "string", "value": "string", "meaning": "string" } ] } ]